How to Install VLC Media Player in Ubuntu 10.04

install vlc media player in ubuntu 10.04

VLC is the most widely used media player developed by VideoLAN.It can play all the important formats like mp3,MPEG,MPEG2,MPEG4,DivX,QuickTime,WMV,MOV,FLV..and VCDs,DVDs.It is free and Open source so you can install it very easily in your ubuntu 10.04(Lucid Lynx).The features of VLC can also be extended by using some extra audio and video pluging available freely on the internet.

Installing VLC Player in Ubuntu 10.04 LTS

By Using Ubuntu Software Center or Synaptic Package Manager
1. Open SPM(Synaptic Package Manager)(Administration->Synaptic Package Manager) or Ubuntu Software Center(Applications) and Search for vlc player.
2.Check the the box to install and apply(Required in SPM).
3.Downloading and installation will complete within few minutes.
4.That’s All..

By Using Ubuntu Terminal
1.Open Terminal -Hit CTRL+ALT+T or open it from Applications->Accessories->Terminal.
2.Type the command

sudo apt-get install vlc

3.It may ask you to enter the user password,if so then enter your password then downloading will begin and installation will also finish within moments.
4.Now,I assume you have successfully installed vlc player on Ubuntu 10.04;If any thing goes wrong during this steps let me know through comments.

  • Pingback: The Best Linux Distro for Desktop Experience | Sudobits Blog | Hack to Learn()

  • Pingback: How to Play .mp3 file in ubuntu 10.04 | Sudobits Blog | Hack to Learn()

  • lokendra

    i have a problem of no command found

    • http://sudobits.com rkjha

      Mr. Lokendra …When I had executed the command on my ubuntu computer then …then I got something like this..
      rkjha@rkjha-desktop:~$ sudo apt-get install vlc
      [sudo] password for rkjha:
      Reading package lists… Done
      Building dependency tree ..

      Check the Syntax and first run this command sudo apt-get update ..I hope now your problem is solved..If it won’t work then use Synaptic Package Manager to install vlc.

      • Kamrulhassan_15

        i have just download vlc player but now in run as they need adminstration name & passward wat i hav 2 do now

  • Ravikiran

    I installed VLC Successfully, but the problem is with the Sound. I cant hear any sound ,could you help me with this

  • moses

    I did as you instructed with the terminal and SPM. some packages just failed to download even after doing it several times. What do you think i can do. can I download the file manually and then install from a particular directory

    • http://sudobits.com rkjha

      Hello Moses,
      In SPM go to Settings -> Repositories, make sure that you have checked the box for universe repository, then search for vlc and install vlc-plugin-pulse/ and mozilla-plugin-vlc (OR it may be some temporary problem in download(either from the client side or in server side)..).
      About manual File Download and installation…on the official website of vlc or on sourceforge no any link to the debian file(Executable for Ubuntu) is given,so how would you get the file??

  • galib

    hi rkjha

    i typed the codes you told to. but it shows the following things:

    reading package lists … done
    Building dependency tree
    reading state information … done
    E: Couldn’t find package vlc

    what should I do?

    • http://sudobits.com rkjha

      Hi Galib,
      RUN the following command
      cat /etc/apt/sources.list
      and uncomment the following line by removing ‘#’ in the line
      # deb http://*.archive.ubuntu.com/ubuntu/ intrepid-backports main restricted universe multiverse
      # deb-src http://*.archive.ubuntu.com/ubuntu/ intrepid-backports main restricted universe multiverse
      # debhttp://archive.canonical.com/ubuntu intrepid partner
      # deb-srchttp://archive.canonical.com/ubuntu intrepid partner
      You can also do the same thing from Synaptic Package Manager ->Settings->Resources ..and check the box for multiverse and other sources.

  • Pingback: KDevelop for Ubuntu 10.04 | Sudobits Blog | Open Source()

  • sajith

    I don’t have internet connection in home!
    then how i can install vlc?
    is it possible to download the files for it from internet cafe and install it in my home?????
    please help me……….

    • http://sudobits.com rkjha

      Sajith, VLC has a lot of dependencies so it’s little complex.To install VLC without Internet follow these steps –
      step1 : Open any other computer where you have access to the internet.
      step2 : Go here,select your distribution(probably ubuntu 10.04),mirror and in package write ‘vlc’ and click on submit.Then download all the files from the URLs.
      step3 : Save the file to a USB disk or burn it to CD/DVD.
      step3 : Now, open your home computer and install(double click or open with gdebi package installer) the packages from USB/CD.
      step4 : That’s All.. I think your problem has solved!

      • Dave Ian

        this was awesomely helpful..nice to see people so passionate about ubuntu in india..keep up the good work:-)

        • http://www.sudobits.com rkjha

          Welcome Dave! ..and thanks a lot for encouragement..

  • Pingback: best multimedia player for ubuntu()

  • http://www.hdflvplayer.net/ Thiaghu

    VLC is free and Open source media playerv used worldwide! its installation is quick in ubuntu 10.04…..now it has extra audio and video pluging available freely on the internet. i like VLC player…………………….. Thanks!

  • Mandeep

    thnx alot… i m just install ubuntu 10.04 LTS last night ..and dont know how to use and how to install softwares …totally newbee in linux but i start like linux..i want to learn more abt linux ..thnx alot again ..this is very useful for me

    Regards
    Mandeep Singh

    • http://www.sudobits.com rkjha

      Welcome Mr. Mandeep .. Installing softwares in Ubuntu is very easy now a days.. use Ubuntu Software Center or Synaptic Package Manager ..or you can also learn some commands if want(it is a very handy tool in Linux based OS).
      Have Fun with Ubuntu !!
      R.K.JHA

  • auro

    i tried something with ubuntu..n then screwed it..know there s a way out..but cant figure out..never faced this problem installing vlc player..her z the message i got on my terminal..

    auro@auro-desktop:~$ sudo apt-get install vlc
    [sudo] password for auro:

    E: Could not get lock /var/lib/dpkg/lock – open (11: Resource temporarily unavailable)
    E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
    auro@auro-desktop:~$ sudo apt-get install vlc
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    vlc: Depends: vlc-nox (= 1.0.6-1ubuntu1.5) but it is not going to be installed
    Depends: libqtgui4 (>= 4:4.6.1) but it is not going to be installed
    Depends: libxcb-keysyms1 (>= 0.3.6) but it is not installable
    Recommends: vlc-plugin-pulse (= 1.0.6-1ubuntu1.5) but it is not going to be installed
    E: Broken packages
    now whats the remedy?The following packages have unmet dependencies:
    vlc: Depends: vlc-nox (= 1.0.6-1ubuntu1.5) but it is not going to be installed
    Depends: libqtgui4 (>= 4:4.6.1) but it is not going to be installed
    Depends: libxcb-keysymThe following packages have unmet dependencies:
    vlc: Depends: vlc-nox (= 1.0.6-1ubuntu1.5) but it is not going to be installed
    Depends: libqtgui4 (>= 4:4.6.1) but it is not going to be installed
    Depends: libxcb-keysyms1 (>= 0.3.6) but it is not installable
    Recommends: vlc-plugin-pulse (= 1.0.6-1ubuntu1.5) but it is not going to be installeds1 (>= 0.3.6) but it is not installable
    Recommends: vlc-plugin-pulse (= 1.0.6-1ubuntu1.5) but it is not going to be installed

    • http://www.sudobits.com rkjha

      You might have opened Ubuntu Software Center or package manager, while installing package from the command line.. use package manager(for installing VLC) to get recommendation for dependent libraries ..

  • Niranjan9795

    hi i try vlc installing from ubuntu software manager but i fund error
    This error could be caused by required additional software packages which are missing or not installable. Furthermore there could be a conflict between software packages which are not allowed to be installed at the
    same time.

    The following packages have unmet dependencies:

    vlc: Depends: vlc-nox (= 1.1.9-1ubuntu1) but 1.1.9-1ubuntu1 is to be installed
         Depends: libaa1 (>= 1.4p5) but 1.4p5-38build1 is to be installed
         Depends: libavcodec-extra-52 (>= 4:0.6-1~) but it is not going to be installed
         Depends: libavutil-extra-50 (>= 4:0.6-1~) but 4:0.6.2-1ubuntu2 is to be installed
         Depends: libc6 (>= 2.8) but 2.13-0ubuntu13 is to be installed
         Depends: libfreetype6 (>= 2.2.1) but 2.4.4-1ubuntu2 is to be installed
         Depends: libgcc1 (>= 1:4.1.1) but 1:4.5.2-8ubuntu4 is to be installed
         Depends: libqtcore4 (>= 4:4.7.0~beta1) but 4:4.7.2-0ubuntu6 is to be installed
         Depends: libqtgui4 (>= 4:4.5.3) but 4:4.7.2-0ubuntu6 is to be installed
         Depends: libsdl-image1.2 (>= 1.2.10) but 1.2.10-2ubuntu1 is to be installed
         Depends: libsdl1.2debian (>= 1.2.10-1) but 1.2.14-6.1ubuntu3 is to be installed
         Depends: libstdc++6 (>= 4.5) but 4.5.2-8ubuntu4 is to be installed
         Depends: libva-x11-1 but it is not going to be installed
         Depends: libva1 but it is not going to be installed
         Depends: libxcb-keysyms1 (>= 0.3.6) but it is not going to be installed
         Depends: libxcb-randr0 (>= 1.1) but it is not going to be installed
         Depends: libxcb-xv0 (>= 1.2) but it is not going to be installed
         Depends: zlib1g (>= 1:1.2.3.3.dfsg) but 1:1.2.3.4.dfsg-3ubuntu3 is to be installed

    so please help me i am a new for linux

  • Sexworld

    sexy

  • Sharatsn123

    any plugins available for vlc so that it can play .swf files?

  • Palashphw 067

    after installing vlc player password is required y